From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-terms/gnome-terminal/
Date: Sun, 13 Nov 2016 11:39:54 +0000 (UTC) [thread overview]
Message-ID: <1479037186.b4f94e4d38a1ae7d3d7ac415e1309fd08767d965.eva@gentoo> (raw)
commit: b4f94e4d38a1ae7d3d7ac415e1309fd08767d965
Author: Christophe Lermytte <gentoo <AT> lermytte <DOT> be>
AuthorDate: Fri Nov 11 21:42:05 2016 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun Nov 13 11:39:46 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b4f94e4d
x11-terms/gnome-terminal: bump 3.20.2 -> 3.20.3
bump vte dependency to 0.44.3
Closes: https://github.com/gentoo/gentoo/pull/2810
Signed-off-by: Gilles Dartiguelongue <eva <AT> gentoo.org>
x11-terms/gnome-terminal/Manifest | 1 +
.../gnome-terminal/gnome-terminal-3.20.3.ebuild | 77 ++++++++++++++++++++++
2 files changed, 78 insertions(+)
diff --git a/x11-terms/gnome-terminal/Manifest b/x11-terms/gnome-terminal/Manifest
index c5d2937..9d0ce52 100644
--- a/x11-terms/gnome-terminal/Manifest
+++ b/x11-terms/gnome-terminal/Manifest
@@ -1,3 +1,4 @@
DIST gnome-terminal-3.20.2.tar.xz 1897148 SHA256 f5383060730f1de70af35e917f82d5b6a14d963ad9cfd6a0e705f90011645a23 SHA512 fe56d5a72580830232880b8e1752b5b268cf559ec9c031382b3631af4b9f2f1b7f661cc22df2643e0d50e66f8595a625e000f6068b16b8c5c9b6e9256a1db79a WHIRLPOOL 4909f016d75ff74705b6d3c92f1f7f3dbfad09ed6172895b1ca3eb455940c57c181a001907cccf78997e49509eb0dd90c7a640e2a3aeeff662ca1fee207f80d1
+DIST gnome-terminal-3.20.3.tar.xz 1925308 SHA256 dac56c4d24c03125e24af7d0a484c1dff3cb16a4443fb1db11e7ae6418e0e2af SHA512 5316c5d4c4326a100469ac9eec372ecc61af1f33fe6047aba9077bc887d98e3a8db39bd64fde863c525ff72cdbcef97e74886cc8fbd38db2fd7e29af3a76c0ff WHIRLPOOL 1e3875a9cf5c3595762310728e51461dc178510c49655fc1134d4f903985aacc8aa83d7e7115e6092006e9e665235890984fa9cb2bdc3e0e8146f596903a7891
DIST gnome-terminal-3.22.0.tar.xz 1931164 SHA256 97e6b1b4128ac133d8917b3940c71ddf9b89d189c5ac8402b1060126733993ed SHA512 71cdac0cec2fdcb43519aad6067c009a122e187fb4bf146cea90a3146338fd3b443aa27a7110c2a66324aa2239fe1c5e3326ad312be840369dbea066a2a2c93a WHIRLPOOL 5d4f95141230facf07870fce6b0a5d564b38b25555ef6f1f84b19ea480a4947db1f670bb844d271bfd0bdb329a255b71cddd60f8e64eec2f899452b3e2b3ff27
DIST gnome-terminal-3.22.1.tar.xz 1944832 SHA256 b00752336eb22d6d9f10c863c166ac73dcbb2ce4b280abdc0c78337e261bb0d4 SHA512 f6ebfa579de1e0f33d77dce75dfcd6ba47fbc0a508448eb16a15267988aa35acf3dd8bdfd55d32c00dcee9f79d4308b998c17500cf7c872ff928ce84e87a730a WHIRLPOOL 359adbdf464a57dcf8c19eab5e8aa0379a373fbbe8376e8e25c8fab9b4953645ebb9b54f40b8617f6542dd72c568c74dcb32a6facb39577df5647bc7c700e7bf
diff --git a/x11-terms/gnome-terminal/gnome-terminal-3.20.3.ebuild b/x11-terms/gnome-terminal/gnome-terminal-3.20.3.ebuild
new file mode 100644
index 00000000..5c46140
--- /dev/null
+++ b/x11-terms/gnome-terminal/gnome-terminal-3.20.3.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+GNOME2_LA_PUNT="yes"
+
+inherit autotools eutils gnome2 readme.gentoo-r1
+
+DESCRIPTION="The Gnome Terminal"
+HOMEPAGE="https://wiki.gnome.org/Apps/Terminal/"
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="debug +gnome-shell +nautilus vanilla"
+KEYWORDS="~alpha amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux"
+
+# FIXME: automagic dependency on gtk+[X]
+RDEPEND="
+ >=dev-libs/glib-2.42:2[dbus]
+ >=x11-libs/gtk+-3.12:3[X]
+ >=x11-libs/vte-0.44.3:2.91
+ >=gnome-base/dconf-0.14
+ >=gnome-base/gsettings-desktop-schemas-0.1.0
+ sys-apps/util-linux
+ x11-libs/libSM
+ x11-libs/libICE
+ gnome-shell? ( gnome-base/gnome-shell )
+ nautilus? ( >=gnome-base/nautilus-3 )
+"
+# itstool required for help/* with non-en LINGUAS, see bug #549358
+# xmllint required for glib-compile-resources, see bug #549304
+DEPEND="${RDEPEND}
+ app-text/yelp-tools
+ dev-libs/libxml2
+ dev-util/desktop-file-utils
+ dev-util/gdbus-codegen
+ dev-util/itstool
+ >=dev-util/intltool-0.50
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+DOC_CONTENTS="To get previous working directory inherited in new opened
+ tab you will need to add the following line to your ~/.bashrc:\n
+ . /etc/profile.d/vte.sh"
+
+src_prepare() {
+ if ! use vanilla; then
+ # OpenSuSE patches, https://bugzilla.gnome.org/show_bug.cgi?id=695371
+ # http://pkgs.fedoraproject.org/cgit/rpms/gnome-terminal.git/tree/gnome-terminal-transparency-notify.patch (first 3 parts)
+ eapply "${FILESDIR}"/${PN}-3.20.2-transparency.patch
+ eautoreconf
+ fi
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-static \
+ --disable-migration \
+ $(use_enable debug) \
+ $(use_enable gnome-shell search-provider) \
+ $(use_with nautilus nautilus-extension) \
+ VALAC=$(type -P true)
+}
+
+src_install() {
+ DOCS="AUTHORS ChangeLog HACKING NEWS"
+ gnome2_src_install
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ readme.gentoo_print_elog
+}
next reply other threads:[~2016-11-13 11:39 UTC|newest]
Thread overview: 116+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-11-13 11:39 Gilles Dartiguelongue [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-20 20:37 [gentoo-commits] repo/gentoo:master commit in: x11-terms/gnome-terminal/ Arthur Zamarin
2024-08-25 16:08 Andreas K. Hüttel
2024-08-09 9:54 Pacho Ramos
2024-08-09 9:54 Pacho Ramos
2024-03-07 23:51 Sam James
2024-02-11 14:21 Mart Raudsepp
2024-02-11 8:09 Arthur Zamarin
2024-02-11 8:09 Arthur Zamarin
2023-11-29 4:23 Sam James
2023-11-20 10:06 Sam James
2023-11-17 7:47 Sam James
2023-11-04 21:20 Mart Raudsepp
2023-11-04 21:16 Mart Raudsepp
2023-11-04 21:16 Mart Raudsepp
2023-10-08 12:58 Pacho Ramos
2023-10-08 11:51 Pacho Ramos
2023-09-22 3:14 Matt Turner
2023-09-22 3:14 Matt Turner
2023-09-05 20:28 Matt Turner
2023-08-30 7:57 Arthur Zamarin
2023-08-29 18:02 Arthur Zamarin
2023-08-06 17:01 Matt Turner
2023-05-17 21:55 Matt Turner
2023-05-05 8:28 Arthur Zamarin
2023-05-05 8:28 Arthur Zamarin
2023-05-05 8:12 Arthur Zamarin
2023-04-25 15:20 Matt Turner
2023-04-02 0:57 Matt Turner
2023-03-20 14:07 Matt Turner
2023-02-11 20:48 Matt Turner
2023-01-03 14:08 Matt Turner
2022-12-16 20:37 Arthur Zamarin
2022-12-04 2:41 Matt Turner
2022-12-02 21:53 Matt Turner
2022-11-21 17:07 Joonas Niilola
2022-11-14 6:53 Arthur Zamarin
2022-11-12 6:01 WANG Xuerui
2022-11-10 0:33 Yixun Lan
2022-11-10 0:19 Matt Turner
2022-11-09 14:11 Matt Turner
2022-11-09 14:11 Matt Turner
2022-11-09 14:11 Matt Turner
2022-11-07 23:18 Sam James
2022-11-07 7:26 Sam James
2022-10-31 20:31 Matt Turner
2022-10-25 15:25 Matt Turner
2022-10-14 14:29 Matt Turner
2022-10-08 14:22 Matt Turner
2022-08-26 10:46 Sam James
2022-07-21 2:04 Matt Turner
2022-07-18 23:41 Sam James
2022-07-06 1:24 Sam James
2022-07-02 20:47 Sam James
2022-05-29 1:17 Matt Turner
2022-05-28 5:45 Sam James
2022-05-28 1:27 Sam James
2022-05-28 1:20 Sam James
2022-03-28 4:21 Matt Turner
2022-03-18 19:24 Matt Turner
2022-01-24 22:43 Matt Turner
2021-12-17 2:23 Matt Turner
2021-08-27 15:19 Yixun Lan
2021-07-26 7:15 Matt Turner
2021-07-12 19:13 Matt Turner
2021-07-10 15:40 Sam James
2021-06-06 21:49 Matt Turner
2021-05-31 2:00 Matt Turner
2021-04-30 23:00 Matt Turner
2021-04-13 16:12 Matt Turner
2021-04-01 16:44 Thomas Deutschmann
2021-03-12 8:01 Mikle Kolyada
2021-02-27 19:56 Matt Turner
2021-01-10 2:38 Matt Turner
2021-01-10 2:38 Matt Turner
2021-01-07 2:39 Matt Turner
2021-01-07 2:12 Matt Turner
2020-11-07 15:23 Mart Raudsepp
2020-08-30 15:17 Thomas Deutschmann
2020-08-16 12:27 Mart Raudsepp
2020-06-07 21:28 Mart Raudsepp
2020-04-20 18:16 Agostino Sarubbo
2020-04-20 17:03 Agostino Sarubbo
2020-03-21 16:22 Mart Raudsepp
2019-12-23 22:23 Mart Raudsepp
2019-12-08 11:52 Mikle Kolyada
2019-12-08 11:41 Mikle Kolyada
2019-09-28 9:51 Mart Raudsepp
2019-08-04 15:05 Aaron Bauman
2019-05-18 23:05 Mart Raudsepp
2019-05-10 17:49 Mikle Kolyada
2019-05-08 9:33 Mikle Kolyada
2019-04-09 8:35 Mart Raudsepp
2019-04-09 8:35 Mart Raudsepp
2019-03-14 7:03 Mart Raudsepp
2018-09-11 16:39 Mart Raudsepp
2018-02-03 23:43 Mart Raudsepp
2018-01-18 3:15 Mikle Kolyada
2018-01-08 18:54 Mart Raudsepp
2017-05-20 14:40 Mart Raudsepp
2017-05-20 14:40 Mart Raudsepp
2017-05-20 14:40 Mart Raudsepp
2017-04-01 16:31 Agostino Sarubbo
2017-04-01 13:16 Agostino Sarubbo
2017-03-21 5:09 Mart Raudsepp
2017-03-21 5:09 Mart Raudsepp
2017-03-08 12:11 Mart Raudsepp
2016-12-30 3:10 Mart Raudsepp
2016-11-08 14:12 Gilles Dartiguelongue
2016-06-11 19:39 Pacho Ramos
2016-06-11 12:06 Pacho Ramos
2016-03-07 6:53 Remi Cardona
2016-03-06 17:23 Mikle Kolyada
2015-12-22 8:16 Gilles Dartiguelongue
2015-11-26 10:51 Gilles Dartiguelongue
2015-09-12 9:11 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1479037186.b4f94e4d38a1ae7d3d7ac415e1309fd08767d965.eva@gentoo \
--to=eva@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox